#!/bin/sh

PROJ=Leica3DD
ARCH=leica3dd

logfile=/var/log/main3dd.log
root_dir=/mnt_data/$PROJ/bin/
executable=$PROJ.Program.Main.exe

# rename possibly existing logfiles - keeping the last 5 logfiles
for x_0 in 3 2 1 0
do
	if [ -f $logfile.$x_0 ]; then
		x_1=`expr $x_0 + 1`
		mv -f $logfile.$x_0 $logfile.$x_1
	fi
done

if [ -f $logfile ]; then
	mv -f $logfile $logfile.0
fi

echo "===============================" > $logfile
date -Iseconds >> $logfile

# default
build=Release

if [ ! -d $root_dir$build ]; then
	# fallback to debug build
	echo "Release build does not exist, falling back to Debug"
	build=Debug

	if [ ! -d $root_dir$build ]; then
		echo "neither Debug nor Release build exist, exiting..."
		exit 1
	fi
fi

cd $root_dir$build || exit 1

if [ "X$DISPLAY" == "X" ]; then
	export DISPLAY=:0
fi

mono $executable >> $logfile 2>&1
