#!/bin/sh 
#
# shutdown a possible WLAN interface and disable the WLAN cell
#

# our WLAN device name
WLAN_DEV_NAME=tiwlan0
# our WLAN kernel module name(s)
WLAN_DRIVERS='tiwlan_drv sdio'
# the drivers interface to enable/disable power
wifi_enable=/sys/devices/platform/wifi_bt/wifi_enable

E_OPT=65

# utility functions
usage()
{
	echo "usage: `basename $0`"
    echo ""
	exit $E_OPT
}

# parse command line
while getopts "" name
do
    case $name in
        ?) usage;;
    esac
done

# argument sanity checks

# determine number of detected WLAN devices
WLAN_CARD_COUNT=`iwconfig 2>/dev/null | grep -c $WLAN_DEV_NAME`

if [ ${WLAN_CARD_COUNT} -eq 1 ]
then
	# determine the device name for the WLAN device
	wlan_dev=`iwconfig 2>/dev/null | grep $WLAN_DEV_NAME | cut -d" " -f 1`

	if [ "X$wlan_dev" == "X" ]; then
		echo "error: no WLAN device found!"
		exit 7
	fi

	# shutdown the WLAN ethernet interface
	ifconfig $wlan_dev down

	# shutdown the WLAN cell
	iwconfig $wlan_dev essid off

	#if [ -e $wifi_enable ]; then
		# disable power on WIFI interface
	#	echo 0 > $wifi_enable
	#else
	#	echo "error: $wifi_enable not found!"
	#	exit 15
	#fi

	# remove the kernel modules
	#for x in $WLAN_DRIVERS
	#do
		# *don't do this! the driver(s) crash when loading again...
		#rmmod $x
	#done
fi

exit 0
